<?php
include "../ver_sessao.php";
include "../conecta.php";

print_r($_POST);

/*
function troca_fornecedor(){
	
	$campos = (cova_tx_fabricante, cova_tx_valor);
	$valores = array();
	atualizar('cova',$campos, $valores);
	
}
*/

function index(){

	cabecalho('Troca Fornecedor',2);
	
	$sql = selecionar('cotacao,setor', 'cota_tx_status','encerrado');
	$a_cota = carrega_array($sql);
	
	$t1[] = cactux::texto('Código', $a_cota[cota_nb_id],2);
	$t1[] = cactux::texto('Data Encerramento', data($a_cota[cota_tx_dataEncerra],1),2);
	$t1[] = cactux::texto('Setor', $a_cota[seto_tx_nome],2);
	$t1[] = cactux::texto('Objeto da Cotação', $a_cota[cota_tx_nome],2);
	
	cactux::abre_form();
	
	$voltar = cactux::botao('Voltar',2,'voltar');
	$gravar = cactux::botao_submit('Gravar',2,'troca_fornecedor');
	
	cactux::abre_fieldset('Informações da Cotação');
	cactux::linha_fieldset($t1[0],$t1[1],$t1[2],$t1[3]);
	cactux::linha_fieldset($voltar,$gravar);
	cactux::fecha_fieldset();
	
	cactux::fecha_form();
	
	
	$cabeca[] = array('PRODUTO','FABRICANTE','VALIDADE (SE HOUVER)','FORNECEDOR - VALOR');
	$cabeca[] = ('e,e,c,c');
	$cabeca[] = ('20%,,20%,30%');
	
	//consulta cotações encerradas
	$sql2 = selecionar('copr,cotacao,produto', 'cota_tx_status',"encerrado");
	
	while($a = carrega_array($sql2)){
	
		$sql_enti = selecionar('cova,entidade','cova_nb_copr',"$a[copr_nb_id]");
		$a_entidade = carrega_array($sql_enti);
		
		$data = data($a_entidade[cova_tx_validade],1);
		
		if($a_entidade[cova_tx_validade] == '0000-00-00')
			$data = " - ";
			
		$valores[] = array($a[prod_tx_nome], $a_entidade[enti_tx_nome], $data, $a_entidade[enti_tx_nome] ."  -  R$ ". mostra_valor($a_entidade[cova_tx_valor]));
	}
	
	grid::gerar($cabeca, $valores);
		
	rodape();
	
}

controle();
?>